> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clipvision.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Credits History API Endpoint

> This API endpoint allows retrieval of user credits history.



## OpenAPI

````yaml get /api/credits/history/
openapi: 3.0.1
info:
  title: ClipVision API
  description: ClipVision AI API
  termsOfService: https://www.clipvision.ai/terms/
  contact:
    email: help@clipvision.ai
  license:
    name: ClipVision License
  version: v1
servers:
  - url: https://backend.clipvision.ai/
security:
  - Basic: []
  - api_key: []
paths:
  /api/credits/history/:
    get:
      tags:
        - api
      summary: Get Credits History API Endpoint
      description: This API endpoint allows retrieval of user credits history.
      operationId: get_credits_history
      responses:
        '200':
          description: Successfully retrieved credits history
          content:
            application/json:
              schema:
                title: Credits History
                type: array
                items:
                  title: Credit Payment History
                  type: object
                  properties:
                    date:
                      type: string
                    paymentRedeemed:
                      type: boolean
                    isPaymentValid:
                      type: boolean
                    totalCredits:
                      type: number
                    description:
                      type: string
                  description: Credit Payment History OpenAPI Schema
        '500':
          description: Failed to retrieve credits history
          content:
            application/json:
              schema:
                title: Internal Server Error
                type: object
                properties:
                  success:
                    type: boolean
                    default: false
                  error:
                    type: string
                    default: Internal Server Error
                description: Internal Server Error OpenAPI Schema
              example:
                success: false
                error: Internal Server Error
components:
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    api_key:
      type: apiKey
      name: User-JWT
      in: header

````